import React from "react";
import { Tooltip, useTheme } from "@mui/material";
import { Brightness1, StopCircle, HelpOutline } from "@mui/icons-material";

export function RecordStatusIcon({ record }) {
  const theme = useTheme();

  let { pvStatus } = record;

  const iconConfig = {
    active: {
      title: "Active",
      icon: <Brightness1 />
    },
    inactive: {
      title: "Inactive",
      icon: <StopCircle />
    },
    null: {
      title: "Unknown",
      icon: <HelpOutline />
    }
  };

  let state = pvStatus ? pvStatus.toLowerCase() : null;
  const iconStyle = { fill: theme.palette.status.icons };
  const iconTitle = iconConfig[state].title;
  const statusIcon = iconConfig[state].icon;

  return (
    <Tooltip
      title={iconTitle}
      style={iconStyle}
    >
      {statusIcon}
    </Tooltip>
  );
}
